Name:		fbpanel
Version:	4.12
Release:	6%{?dist}
Summary:	A lightweight X11 desktop panel

Group:		User Interface/Desktops
# %%{_bindir}/fbpanel and almost all plugins are under LGPLv2+
# Some plugins (cpu.so, pager.so, tray.so) are under GPLv2+
License:	LGPLv2+ and GPLv2+
URL:		http://fbpanel.sourceforge.net
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
Source1:	%{name}.desktop
Patch:		fbpanel-4.12-libdir.patch
Patch1:		fbpanel-4.12-icon.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel libXpm-devel libXmu-devel desktop-file-utils

%description
fbpanel is a lightweight X11 desktop panel. It works with any ICCCM / NETWM 
compliant window manager such as sawfish, metacity, openbox , xfwm4, or KDE.
It features tasklist, pager, launchbar, clock, menu and systray.

%prep
%setup -q
%patch -p1 -b .libdir
%patch1 -p0

sed -i.stamp -e 's|install -m|install -p -m|' \
			Makefile */Makefile
sed -i.strip -e 's|strip|true strip|' \
			Makefile */Makefile

%build
./configure --prefix=%{_prefix} --libdir=%{_lib}
make \
	%{?_smp_mflags} \
	Q= \
	CFLAGS="${RPM_OPT_FLAGS}"


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# desktop file stuff
desktop-file-install --vendor="fedora"			\
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications	\
	%{SOURCE1}
# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps

install -p -m 0644 config/images/star.png	\
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


find $RPM_BUILD_ROOT%{_libdir}/%{name} -name \*.so -print0 | \
	xargs -0 chmod 0755

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING CREDITS README
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Fri Jul 04 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-6
- Add icon.patch to bring the Fedora icon to the panel
- Modified the existing apps in the Panel (like emacs -> gedit)

* Wed Jun 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-5
- Add comment about the license
- Remove redundant Source2:

* Tue Jun 17 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-4
- Add correct url for Source:
- Add gtk-update-icon-cache
- Add timestamps
- Add missing debuginfo rpm
- Changed licence, MIT to LGPLv2+ and GPLv2+
- Remove unneeded ldconfig
- Remove redundant BuildRequires: atk-devel, pango-devel and cairo-devel

* Sun Jun 15 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-3
- Solved build failure and broken libs-patch with patch from Robert Scheck

* Sat Jun 07 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-2
- fixed rpmlint errors
- new .desktop file
- cleanup

* Sun May 25 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.12-1
- first version of the SPEC file
